Bug 1470476 - sensors-detect didn't correctly identified all HWMON_MODULES
sensors-detect didn't correctly identified all HWMON_MODULES
Status: NEW
Product: Fedora
Classification: Fedora
Component: lm_sensors (Show other bugs)
27
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ondřej Lysoněk
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 22:24 EDT by Dmitry Burstein
Modified: 2018-05-03 06:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitry Burstein 2017-07-12 22:24:22 EDT
Description of problem:
When running 'sensors-detect' the only module that was written to the config file was 'coretemp'. Before upgrading to f26, there was one additional module: 'nct6775'.
When I have added the second module manually, it did provide all the relevant information.

Version-Release number of selected component (if applicable):
3.4.0

How reproducible:
every time

Steps to Reproduce:
1.run 'sensors-detect'
2.
3.

Actual results:
HWMON_MODULES="coretemp"

Expected results:
HWMON_MODULES="coretemp nct6775"

Additional info:
When running the 'sensors-detect' command reports frequently:
"/dev/port: No such file or directory"
Comment 1 Norbert Jurkeit 2017-07-14 10:32:08 EDT
Same here. Super IO chips were detected in my initial installation of Fedora 25, but not now with the latest installed kernels, probably because /dev/port has vanished between kernel version 4.8 and 4.11.
Comment 2 Hans de Goede 2017-07-21 15:09:15 EDT
Hi,

(In reply to Norbert Jurkeit from comment #1)
> Same here. Super IO chips were detected in my initial installation of Fedora
> 25, but not now with the latest installed kernels, probably because
> /dev/port has vanished between kernel version 4.8 and 4.11.

Hmm, are you using secure boot by any chance ? Can you try turning it off ?

I think this is caused by secureboot (rightfully so) disallowing userspace accesses to io-ports...

Regards,

Hans
Comment 3 Norbert Jurkeit 2017-07-22 10:24:37 EDT
(In reply to Hans de Goede from comment #2)
> I think this is caused by secureboot (rightfully so) disallowing userspace
> accesses to io-ports...

Good point, but secureboot doesn't seem to cause the problem. My new notebook has enabled secureboot by default, but /dev/port is also missing with disabled secureboot and on 2 older computers of mine with legacy BIOS (in fact, the built-in Winbond Super I/O chips are no longer detected on those old boxes). On the other side, /dev/port is present even with enabled secureboot when I boot a Fedora 25 live image with kernel 4.8.6.

Recently I noticed another bug report 1451220 which also addresses this issue and indicates that it will be resolved with the next kernel update.

BR,
Norbert
Comment 4 Hans de Goede 2017-07-22 13:58:43 EDT
Hi,

(In reply to Norbert Jurkeit from comment #3)
> (In reply to Hans de Goede from comment #2)
> > I think this is caused by secureboot (rightfully so) disallowing userspace
> > accesses to io-ports...
> 
> Good point, but secureboot doesn't seem to cause the problem. My new
> notebook has enabled secureboot by default, but /dev/port is also missing
> with disabled secureboot and on 2 older computers of mine with legacy BIOS
> (in fact, the built-in Winbond Super I/O chips are no longer detected on
> those old boxes). On the other side, /dev/port is present even with enabled
> secureboot when I boot a Fedora 25 live image with kernel 4.8.6.
> 
> Recently I noticed another bug report 1451220 which also addresses this
> issue and indicates that it will be resolved with the next kernel update.

Tip if you refer to other bugs do so as bug <nr> e.g. bug 1451220 then bugzilla will make it a clickable link.

OK, so bug 1451220 shows that this is a kernel-config issue. Would be interesting to know if the fixed kernel will work with secure boot (that would actually be a secure-boot bug I think).

Regards,

Hans
Comment 5 Norbert Jurkeit 2017-07-23 11:09:47 EDT
(In reply to Hans de Goede from comment #4)
> OK, so bug 1451220 shows that this is a kernel-config issue. Would be
> interesting to know if the fixed kernel will work with secure boot (that
> would actually be a secure-boot bug I think).

I just installed kernel 4.11.11 on Fedora 26 and that fixes the issue for me.

Regarding secure boot, it doesn't matter whether it is enabled or disabled on my new notebook: /dev/port is present and sensors-detect says "Found unknown chip with ID 0xfc11" (which is not unusual for lm-sensors on new hardware, but future support is uncertain as the project seems to be abandoned).

Regards,

Norbert
Comment 6 Hans de Goede 2017-07-24 03:38:52 EDT
Hi,

(In reply to Norbert Jurkeit from comment #5)
> (In reply to Hans de Goede from comment #4)
> > OK, so bug 1451220 shows that this is a kernel-config issue. Would be
> > interesting to know if the fixed kernel will work with secure boot (that
> > would actually be a secure-boot bug I think).
> 
> I just installed kernel 4.11.11 on Fedora 26 and that fixes the issue for me.
> 
> Regarding secure boot, it doesn't matter whether it is enabled or disabled
> on my new notebook: /dev/port is present and sensors-detect says "Found
> unknown chip with ID 0xfc11"

Hmm, that is unexpected. /dev/port access really should be blocked when secure-boot is used. I've mailed our secure-boot maintainer about this.

Regards,

Hans
Comment 7 Norbert Jurkeit 2017-07-24 08:00:08 EDT
(In reply to Hans de Goede from comment #6)
> Hmm, that is unexpected. /dev/port access really should be blocked when
> secure-boot is used. I've mailed our secure-boot maintainer about this.

I have to correct myself. Due to a non-standard bootloader configuration, I have used the grub2 files installed with Fedora 25 also to boot Fedora 26. A closer look revealed that gcdx64.efi and grubx64.efi differ between both releases and I just copied the Fedora 26 versions to the EFI system partition.

With secure boot enabled, /dev/port is still present, but now sensors-detect says "/dev/port: operation not permitted". This is probably what you expected.

Sorry for causing confusion!

Regards,

Norbert
Comment 8 Dmitry Burstein 2017-07-24 16:07:49 EDT
Updated to kernel 4.11.11 - problem solved!
Comment 9 Fedora End Of Life 2018-05-03 04:41:32 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.